This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1001247 - vxl : duplicate documentation files / potentially conflicting
vxl : duplicate documentation files / potentially conflicting
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: vxl (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mario Ceresa
Fedora Extras Quality Assurance
:
Depends On: vxl
Blocks: F20UnversionedDocDirs
  Show dependency treegraph
 
Reported: 2013-08-26 15:55 EDT by Michael Schwendt
Modified: 2016-07-19 06:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:19:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2013-08-26 15:55:23 EDT
Duplicate documentation files have been detected in the package
builds for Rawhide and Fedora 20. The likely cause is the unversioned
docdirs change in Fedora 20.

If your package %installs documentation files into %{_docdir}/%{name}/ to
store them in a subpackage, this now conflicts with using the %doc
macro in the base package. Since Fedora 20, the %doc macro installs into
the unversioned %{_docdir}/%{name}/ and includes everything in that
directory. One obvious fix is to decide between either using %doc or
installing into %{_docdir}/%{name}/ manually as explained in the
Packaging tricks Wiki section (for past dist releases and the versioned
docdir).

General discussion of this problem:
https://fedorahosted.org/fpc/ticket/338

Further information:
http://fedoraproject.org/wiki/Changes/UnversionedDocdirs
https://fedoraproject.org/wiki/Packaging_tricks#Installing_documentation:_2_paths

[semi-automated bug report]

[...]

=> vxl-1.17.0-12.fc20.src.rpm
=> vxl-doc-1.17.0-12.fc20.noarch in fedora-development-i386
  File conflict with: vxl-1.17.0-12.fc20.i686
     /usr/share/doc/vxl/vxl_copyright.h

=> vxl-1.17.0-12.fc20.src.rpm
=> vxl-1.17.0-12.fc20.i686 in fedora-development-i386
  File conflict with: vxl-doc-1.17.0-12.fc20.noarch
     /usr/share/doc/vxl/vxl_copyright.h
Comment 1 Michael Schwendt 2013-12-16 09:16:40 EST
The vxl-doc subpackage contains only this tiny file:

  /usr/share/doc/vxl/vxl_copyright.h

I've visited old builds in koji, and it had started like that. Why is it? Where is "all the documentation"? In the source code I see a core/doc/ tree. This ought to be re-reviewed, since such a -doc package doesn't make sense.

[...]

Unrelated issues:

 * The -doc package ought not depend on the base package, so it can really be installed without pulling in any dependencies,

 * Defining BuildRoot and cleaning it in %install is not needed anymore.

 * The %clean section is not needed anymore.

 * The Group tag of the base package ought to be "System Environment/Libraries" for a libs package like this.
Comment 2 Jaroslav Reznik 2015-03-03 10:00:39 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 3 Fedora End Of Life 2016-07-19 06:19:10 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.